ADAM_2.12: CLI 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package cli
  Definition Classes
    adam
- ADAM2Fastq
- ADAM2FastqArgs
- ADAMMain
- ADAMModule
- About
- CommandGroup
- CountReadKmers
- CountReadKmersArgs
- CountSliceKmers
- CountSliceKmersArgs
- Coverage
- CoverageArgs
- FlagStat
- FlagStatArgs
- MergeShards
- MergeShardsArgs
- PrintADAM
- PrintADAMArgs
- TransformAlignments
- TransformAlignmentsArgs
- TransformFeatures
- TransformFeaturesArgs
- TransformFragments
- TransformFragmentsArgs
- TransformGenotypes
- TransformGenotypesArgs
- TransformSequences
- TransformSequencesArgs
- TransformSlices
- TransformSlicesArgs
- TransformVariants
- TransformVariantsArgs
- View
- ViewArgs

c

org.bdgenomics.adam.cli

# TransformGenotypesArgs 

###

#### class TransformGenotypesArgs extends Args4jBase with ADAMSaveAnyArgs with ParquetArgs

Linear Supertypes
ParquetArgs, ADAMSaveAnyArgs, SaveArgs, ParquetRDDArgs, Args4jBase, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TransformGenotypesArgs
2. ParquetArgs
3. ADAMSaveAnyArgs
4. SaveArgs
5. ParquetRDDArgs
6. Args4jBase
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new TransformGenotypesArgs()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  var asSingleFile: Boolean
   Definition Classes
     TransformGenotypesArgs → ADAMSaveAnyArgs
6.  val blockSize: Int
   Definition Classes
     ParquetArgs → ParquetRDDArgs
   Annotations
     @Option()
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
8.  var coalesce: Int
9.  val compressionCodec: CompressionCodecName
   Definition Classes
     ParquetArgs → ParquetRDDArgs
   Annotations
     @Option()
10.  var deferMerging: Boolean
    Definition Classes
      TransformGenotypesArgs → ADAMSaveAnyArgs
11.  val disableDictionaryEncoding: Boolean
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
12.  var disableFastConcat: Boolean
    Definition Classes
      TransformGenotypesArgs → ADAMSaveAnyArgs
13.  var doPrintUsage: Boolean
    Definition Classes
      Args4jBase
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
16.  var forceShuffle: Boolean
17.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
19.  var inputPath: String
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  val logLevel: String
    Definition Classes
      ParquetArgs
    Annotations
      @Option()
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  var nestedAnnotations: Boolean
24.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
26.  var outputPath: String
    Definition Classes
      TransformGenotypesArgs → SaveArgs
27.  val pageSize: Int
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
28.  var partitionByStartPos: Boolean
29.  var partitionedBinSize: Int
30.  var sort: Boolean
31.  var sortFastqOutput: Boolean
    Definition Classes
      TransformGenotypesArgs → ADAMSaveAnyArgs
32.  var sortLexicographically: Boolean
33.  var stringency: String
34.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
35.  def toString(): String
    Definition Classes
      AnyRef → Any
36.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
37.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
38.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from ParquetArgs

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetRDDArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped